
QGIS Application - Bug report #15997

import from files with non-ascii characters

2016-12-21 06:00 AM - Mike Blechschmidt

Status: Closed

Priority: Normal

Assignee:

Category: DWG/DXF import

Affected QGIS version:2.18.2 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23913

Description

if the pathname/filename of a DXF-File include non ASCII char (ÄÖÜß) the Import Fails.

Related issues:

Duplicated by QGIS Application - Bug report # 18576: dwg import fails if file... Closed 2018-03-29

Associated revisions

Revision 4945e97f - 2018-08-02 05:54 PM - Jürgen Fischer

dwg import: handle filenames with utf8 characters

Revision dd5ed688 - 2018-08-02 06:01 PM - Jürgen Fischer

dwg import: handle filenames with utf8 characters

(cherry picked from commit 4945e97f248f7542c884c34b9bb5ba1dd3e4623c)

Revision 06aff729 - 2018-08-02 06:15 PM - Jürgen Fischer

dwg import: handle filenames with utf8 characters

(cherry picked from commit dd5ed68818380dfb6590677d968ec0e17c3f39c0)

History

#1 - 2016-12-22 05:30 AM - Jürgen Fischer

- Category changed from C++ Plugins to DWG/DXF import

#2 - 2016-12-22 05:33 AM - Jürgen Fischer

- Subject changed from New DXF-Import 2.18.2 to import from files with non-ascii characters

#3 - 2016-12-22 05:35 AM - Jürgen Fischer

- Affected QGIS version changed from 2.18.0 to 2.18.2

#4 - 2016-12-22 05:37 AM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#5 - 2017-05-01 01:01 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#6 - 2017-09-08 01:35 PM - Jürgen Fischer

- Assignee deleted (Jürgen Fischer)

#7 - 2019-01-29 02:24 PM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to fixed/implemented

fixed in commit:06aff729b9659f98483d7922c41fc0b6fc10dee0, commit:dd5ed68818380dfb6590677d968ec0e17c3f39c0,

commit:4945e97f248f7542c884c34b9bb5ba1dd3e4623c

#8 - 2019-01-29 02:25 PM - Jürgen Fischer

- Duplicated by Bug report #18576: dwg import fails if filename contains special characters and spaces added
